"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8550>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c85e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8670>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8700>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8790>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8820>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c88b0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8940>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c89d0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8a60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8af0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8b80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8c10>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8ca0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8d30>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8dc0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8e50>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8ee0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7c8f70>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce040>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce0d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce160>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce1f0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce280>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce3a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce310>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce430>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce4c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce550>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce5e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce670>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce700>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce790>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce820>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce8b0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce940>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ce9d0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7cea60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ceaf0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ceb80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7cec10>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ceca0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ced30>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7cedc0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7cee50>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7ceee0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7cef70>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2040>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d20d0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2160>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d21f0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2280>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2310>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d23a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2430>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d24c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2550>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d25e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2670>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2700>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2790>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2820>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d28b0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d29d0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2b80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2a60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2c10>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2ca0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2d30>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2dc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2e50>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2f70>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d2ee0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d5040>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d50d0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d5160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d5280>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d51f0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d5310>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d53a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d5430>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d54c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d5550>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f94ae7d55e0>)]
name: str = 'fr_HOCCN'
